# $Revision: 1.22 $, $Date: 2002/08/04 14:26:29 $
Summary:	Smart decoder for uuencode, xxencode, Base64 and BinHex
Summary(pl):	Uniwersalny dekoder uuencode, xxencode, Base64 i BinHex
Summary(pt_BR):	UUDeview, decodificador de vrios tipos de arquivos
Name:		uudeview
Version:	0.5.18
Release:	3
License:	GPL
Group:		Applications/File
Source0:	http://www.fpx.de/fp/Software/UUDeview/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-shared.patch
URL:		http://www.fpx.de/fp/Software/UUDeview/
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	tcl-devel
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	tk-devel
BuildRequires:	transfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UUDeview is a smart decoder for several surfaces which are common in
email and Usenet. It can decode uuencode, xxencode, Base64 and BinHex.
It can handle multiple files and multiple parts, even in random order.
Also an encoder is attached, UUEnview.

%description -l pl
UUDeview jest przydatnym narzdziem do dekodowania popularnych
formatw, takich jak uuencode, xxencode, Base64 i BinHex. Potrafi
poradzi sobie z wieloma plikami w wielu czciach, nawet
wymieszanych. W pakiecie znajduje si take program do kodowania
plikw na wyej wymienione formaty (oprcz BinHex).

%description -l pt_BR
Decodificador UUencode, XXencode, Base64, BinHex, etc. Inclui um
codificador.

%package x11
Summary:	xdeview - uudeview with a GUI
Summary(pl):	xdeview - uudeview z graficznym interfejsem
Group:		X11/Applications
Requires:	%{name} = %{version}

%description x11
xdeview - uudeview with a GUI.

%description x11 -l pl
xdeview - uudeview z graficznym interfejsem.

%package devel
Summary:	uulib header files
Summary(pl):	Pliki nagwkowe uulib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
uulib header files.

%description devel -l pl
Pliki nagwkowe uulib.

%package static
Summary:	uulib static library
Summary(pl):	Statyczna biblioteka uulib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
uulib static library.

%description static -l pl
Statyczna biblioteka uulib.

%prep
%setup -q
%patch -p1

%build
aclocal
%{__autoconf}
%configure

%{__make}
%{__make} ps -C doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%{__make} install -C uulib \
	DESTDIR=$RPM_BUILD_ROOT

mv -f inews/README README.inews

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc HISTORY README* 
%attr(755,root,root) %{_libdir}/libuu.so.*.*
%attr(755,root,root) %{_bindir}/minews
%attr(755,root,root) %{_bindir}/uudeview
%attr(755,root,root) %{_bindir}/uuenview
%{_mandir}/man1/uu*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uuwish
%attr(755,root,root) %{_bindir}/xdeview
%{_mandir}/man1/xdeview.1*

%files devel
%defattr(644,root,root,755)
%doc doc/library.ps
%attr(755,root,root) %{_libdir}/libuu.so
%attr(755,root,root) %{_libdir}/libuu.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libuu.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: uudeview.spec,v $
Revision 1.22  2002/08/04 14:26:29  areq
- release 3: fix new %doc.

Revision 1.21  2002/06/29 11:45:04  kloczek
- release 2: use new %doc.

Revision 1.20  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/05/12 13:23:21  blues
- added BR: transfig

Revision 1.18  2002/05/12 13:17:23  kloczek
- merge translations from Conectiva.

Revision 1.17  2002/05/12 13:11:20  qboosh
- updated to 0.5.18
- build uulib as shared (added patch), added -devel and -static
- separated uuwish and xdeview to -x11 package
- more docs

Revision 1.16  2002/02/25 09:05:03  kloczek
- updated to 0.5.15,
- updated URL and Source url,
- added {tcl,kt}-devel to BuildRequires.

Revision 1.15  2002/02/23 05:04:56  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/17 21:44:47  qboosh
release 5: run autoconf (2.52 ready)

Revision 1.11  2001/04/13 06:46:17  kloczek
- release 4,
- spec adapterized.

Revision 1.10  2001/04/10 15:30:01  baggins
- release 3
- rebuild with new tcl

Revision 1.9  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.4  2000/01/21 00:34:59  kloczek
- release 2,
- added passing LDFLAGS="-s" to ./configure enviroment for producing on
  linking stripped binaries.

Revision 1.3  1999/12/09 19:40:42  kloczek
- final cosmettics.

Revision 1.2  1999/12/07 12:56:27  kravietz
- minor fixes

Revision 1.1  1999/12/07 12:48:44  kravietz
bddec6186d9e31e38d245f623e3f81c8  uudeview.spec
